[Numpy-discussion] Installing on CentOS 5 claims invalid Python installation

Christopher Barker Chris.Barker@noaa....
Thu Dec 23 14:03:40 CST 2010


On 12/23/10 5:13 AM, Roger Martin wrote:
> NumPy looks like the way to get computation done in Python.

yup -- welcome!

> Now I'm
> going through the learning curve of installing the module into different
> linux OS's and Python versions.

hmm -- usually it's pretty straightforward on Linux (except maybe 
getting an optimized LAPACK, which you may or may not need).

> An extra need is to install google
> code's h5py http://code.google.com/p/h5py/ which depends on numpy.

I'll leave that for the next step.

> In trying a number of Python versions the 2.x's are yielding the message
> " invalid Python installation"
> ---------------
> raise DistutilsPlatformError(my_msg)
> distutils.errors.DistutilsPlatformError: invalid Python installation:
> unable to open
> /home/roger/Python-2.6.6/dist/lib/python2.6/config/Makefile (No such
> file or directory)
> ---------------
>
>  From reading on the web it appears a Python-2.x.x-devel version is
> needed.

yup -- many of the Linux package systems split the stuff you need to run 
Python code from what you need to compile stuff against it -- common 
with other libs, packages as well.

> Yet no search combination comes back with where to get such a
> thing

each distro has it's own naming convention -- look for anything like 
"python-devel", "python-dev", etc.

> (note: I need user installs/builds for security reasons).

Ahh -- a different story -- AFAIK (and I'm NOT an expert) the distro's 
packages will install python into system directories -- if you really 
need each user to have their own install, you may need to install from 
source. That should be pretty straight forward, too. Get the source 
tarball from python.org, and follow the build instructions. You'll need 
to specify a user install in that process somehow.

The latest numpy should work with any recent python -- If you are free 
to choose, use 2.7.1 -- it's the latest production version of the 2.* 
series. 3.* is still a bit bleeding edge. YOU can grab the tarball here:

http://www.python.org/download/releases/2.7.1/

Once you've got a python working, a simple "python setup.py install" 
should do for numpy.

HTH,

-Chris


-- 
Christopher Barker, Ph.D.
Oceanographer

Emergency Response Division
NOAA/NOS/OR&R            (206) 526-6959   voice
7600 Sand Point Way NE   (206) 526-6329   fax
Seattle, WA  98115       (206) 526-6317   main reception

Chris.Barker@noaa.gov


More information about the NumPy-Discussion mailing list